Bug 9173

Summary: Xvfb crashes when the client disconnects
Product: xorg Reporter: Jan "Yenya" Kasprzak <kas>
Component: Server/GeneralAssignee: Xorg Project Team <xorg-team>
Status: RESOLVED FIXED QA Contact: Xorg Project Team <xorg-team>
Severity: normal    
Priority: high    
Version: 7.1 (2006.05)   
Hardware: x86 (IA32)   
OS: Linux (All)   
Whiteboard:
i915 platform: i915 features:

Description Jan "Yenya" Kasprzak 2006-11-27 10:06:42 UTC
I run OO.org under Xvfb to do some batch conversions. When the OO.org
disconnects, Xvfb crashes with SIGSEGV:

Xvfb -ac :1 &
DISPLAY=:1 oowriter &
[ wait few seconds, then kill oowriter ]

I think it is related to the problem described in the following mail:
http://lists.freedesktop.org/archives/xorg/2005-April/007657.html
- indeed, when I run

Xvfb -ac :1 -extension Composite &

it does not crash when the client disconnects.

I have Fedora Core 6, x86_64 (not tested on other archs sorry). The package in
question is

xorg-x11-server-Xvfb-1.1.1-47.1.fc6.x86_64

I have reported it also to the Red Hat bugzilla as
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=217388
Comment 1 Daniel Stone 2007-02-27 01:34:50 UTC
Sorry about the phenomenal bug spam, guys.  Adding xorg-team@ to the QA contact so bugs don't get lost in future.
Comment 2 Adam Jackson 2007-05-17 18:57:11 UTC
Fixed in git in commit c09e68ce30dabd6b7068b163b9d2382d85d0d0bc.

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.